# Kommandos für die Netzwerkschnittstelle:

- **READ_KEY:*code*** liest den aktuell eingegeben Key ein (ändern das der Key erst gelöscht wird beim nächsten Versuch) *{DONE}*
- **NEW_CODE:*code*:*newcode*** Ergänzt einen neuen CODE (Muss nach eingabe des 1. Code durch einen bestehenden Code erlaubt werden) *{DONE}*
- **READ_CODE:*code*** liest die Codes aus (Eingabe eines Gültigen Codes vorausgesetzt.) *{DONE}*
- **DEL_CODE:*code*:*nrCode*** löscht einen Code aus der Liste (Eingabe des Codes notwendig) *{DONE}*
- **OPEN_DOOR:*code*** *{DONE}*
- **LOCK_DOOR:*code*** Schaltet das Tastaurfeld ab *{DONE}*
- **RST_WAIT:*code*** Setzt den Wait Zähler zurück *{DONE}*
- **READ_WAIT:*code*** Liest den Wait Zähler aus *{DONE}*
- **READ_STATUS** Gibt den Status Wert zurück *{DONE}*
	- **0** Fehlerfrei
	- **1** technical Error Lock
	- **2** Manual Lock (Locked by user)
	- **3** Key Error Lock 
	- **9** Key Pad Off for DEBUG
---
- **TEMP_IN** liest den DS1820 am Türöffner *{DONE}*
- **TEMP_OUT** liest den DS1820 am Tastenfeld *{DONE}*
- **READ_LIGHT** liest den Dämerungssensor am Tastenfeld *{DONE}*
- **SET_DARK:*code*** speichert den aktuellen Wert als dunkel *{DONE}*
- **GET_DARK** Zeigt den gespeicherten dunkel Wert *{DONE}*
- **SET_LIGHT:*code*** speichert den aktuellen Wert als hell *{DONE}*
- **GET_LIGHT** Zeigt den gespeicherten hell Wert *{DONE}*
	- (Dark - light) / 3 gibt die eigentlichen Schaltwerte
- **LIGHT_ON** Testen der Beleuchtung *{DONE}*
- **LIGHT_OFF** Zürück in den Automatik mode *{DONE}*
---
- **RE_SYNC:*code*** die Crypto Schlüssel neu austauschen *{DONE}* 
	- ***RE_SYNC*** *noch nicht automaitsch bei Verschlüsselungsfehler {noch ungetestet}*
---
- **SET_OPEN:*code*:*timeout*** stellt die Dauer für die geöffnete Tür ein (in Millisekunden) *{DONE}*
- **GET_OPEN:*code*** fragt die Dauer für die geöffnete Tür ab (in Millisekunden) *{DONE}*
- **SET_IP:*code*:*ip*** stellt die IP ein **!! REBOOT erforderlich !!** *{DONE}*
- **SET_MIN_WAIT:*code*:*timeout*** mindeste Wartezeit bei falschem Code (default 5) *{DONE}*
- **GET_MIN_WAIT:*code*** Abfrage der minimalen Wartezeit *{DONE}*
- **SET_MAX_WAIT:*code*:*timeout*** 2 x WAIT > max_WAIT damit wir nicht unendlich auf Freigabe warten müssen (default 60) *{DONE}*
- **GET_MAX_WAIT:*code*** Abfrage der maximalen Wartezeit *{DONE}*
